OpenSSL‘ASN1_TYPE_cmp’函数安全漏洞 CVE-2015-0286 CNNVD-201503-398

5.0 AV AC AU C I A
发布: 2015-03-19
修订: 2018-01-05

OpenSSL是OpenSSL团队开发的一个开源的能够实现安全套接层(SSL v2/v3)和安全传输层(TLS v1)协议的通用加密库,它支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。 OpenSSL的crypto/asn1/a_type.c文件中的‘ASN1_TYPE_cmp’函数存在安全漏洞,该漏洞源于程序没有正确对比布尔类型(boolean-type)。远程攻击者可借助特制的X.509证书利用该漏洞造成拒绝服务(无效的读取操作和应用程序崩溃)。以下版本受到影响:OpenSSL 0.9.8zf之前版本,1.0.0r之前1.0.0版本,1.0.1m之前1.0.1版本,1.0.2a之前1.0.2版本。

0%
当前有1条漏洞利用/PoC
当前有33条受影响产品信息